i2o_iop_alloc
Prev | I2O message devices | Next

## Name

i2o_iop_alloc — Allocate and initialize a i2o_controller struct

## Synopsis

`struct i2o_controller * i2o_iop_alloc (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Allocate the necessary memory for a i2o_controller struct and initialize the lists and message mempool.

Returns a pointer to the I2O controller or a negative error code on failure.

Prev | Up | Next
i2o_iop_release | Home | i2o_iop_add